'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/**
 * Low level method
 * @example
 *  jssChangeJoiner('0 4px auto', ' ', ', '); // => '0, 4px, auto'
 *  jssChangeJoiner('0 4px auto', ' ', '~*~'); // => '0~*~4px~*~auto' ;)
 */
function jssSplitAndChangeJoiner(string, splitBy, joiner) {
	return string.split(splitBy).join(joiner);
}
/**
 * High level joiner from `' '` to new value
 * @see jssSplitAndChangeJoiner
 * @example
 *  jssChangeJoiner('0 4px auto'); // => '0, 4px, auto'
 *  jssChangeJoiner('0 4px auto', '~*~'); // => '0~*~4px~*~auto' ;)
 */
function jssChangeJoiner(string, joiner) {
	if (joiner === void 0) {
		joiner = ', ';
	}
	return jssSplitAndChangeJoiner(string, ' ', joiner);
}

exports.jssChangeJoiner = jssChangeJoiner;
exports.jssSplitAndChangeJoiner = jssSplitAndChangeJoiner;
